Get ATA graph alarm summary (planned/unplanned x severity) for visible devices

post

/sia/v1/event/ata/graph/alarmSummary

Returns active resource alarm counts for the given graph-visible device entity IDs, bucketed by planned/unplanned and perceivedSeverity. Edge entity IDs are accepted for future use but currently ignored.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : deviceEntityIds
Type: array
Show Source
Nested Schema : edgeEntityIds
Type: array
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

Alarm summary retrieved successfully.
Body ()
Root Schema : AlarmSummaryResponse
Type: object
Show Source
Nested Schema : AlarmSummary
Type: object
Show Source
Nested Schema : AlarmSummaryBucket
Type: object
Show Source
Examples

400 Response

The request isn't valid
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

401 Response

The request is unauthorized
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

403 Response

The request is forbidden
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

404 Response

The requested resource not found
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

500 Response

An Internal Server Error has occurred
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source
Back to Top